package tables;

import javax.persistence.*;
import java.util.Collection;

@Entity
@NamedQueries(
        @NamedQuery(name = "Country.FindAll", query = "SELECT c FROM Country c")
)
public class Country {
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Id
    private Integer id;

    @Basic
    private String name;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @OneToMany(mappedBy = "country")
    private Collection<Vendor> vendors;

    public Collection<Vendor> getVendors() {
        return vendors;
    }

    public void setVendors(Collection<Vendor> vendors) {
        this.vendors = vendors;
    }

    @ManyToMany(mappedBy = "countries")
    private Collection<Person> people;

    public Collection<Person> getPeople() {
        return people;
    }

    public void setPeople(Collection<Person> people) {
        this.people = people;
    }
}
